Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 83470

Summary: xpdf won't paste into openoffice
Product: [Retired] Red Hat Linux Reporter: ezolt
Component: xpdfAssignee: Ngo Than <than>
Status: CLOSED RAWHIDE QA Contact: Mike McLean <mikem>
Severity: medium Docs Contact:
Priority: medium    
Version: 8.0CC: mitr
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2003-04-01 08:37:51 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
Fix for xpdf to allow cut 'n paste to work properly none

Description ezolt 2003-02-04 17:56:37 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020606

Description of problem:
Text that is highlighted in xpdf, will not be pasted into openoffice.

If you center-click in the open office window, nothing appears. 

However, if you do the same thing in an XTERM it will appear.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Open a document in xpdf
2.Highlight some text
3.Open oowrite
4.Center click mouse button... Nothing happens
    

Actual Results:  Pasted text does not appear in open office

Expected Results:  Pasted text SHOULD appear in open office.

Additional info:

Why
---

	Xpdf doesn't respond to the "TARGETS" atom, and as a result
will not paste into applications that don't automatically try the
"XA_STRING" atom type.

Xpdf SHOULD respond to the TARGETS atom accoring to the ICCCM. 

See http://tronche.com/gui/x/icccm/

2.6.2. Target Atoms

......

Selection owners are required to support the following targets. All
other targets are optional.

TARGETS - The owner should return a list of atoms that represent the
targets for which an attempt to convert the current selection will
succeed (barring unforseeable problems such as Alloc errors). This
list should include all the required atoms.

......

The Fix
-------
	When presented with a targets ATOM, xpdf will now 


Why did it work at all? 
-----------------------

	Older applications must have tried "XA_STRING" by default when
the target atom didn't work.
	

With the fix, xpdf now pastes to:
	xterm, (As It did before)
	kterm, (As It did before)
	abiword,
	openoffice 

OS tested:
	Redhat Linux 7.2

Comment 1 ezolt 2003-02-04 17:58:49 UTC
Created attachment 89842 [details]
Fix for xpdf to allow cut 'n paste to work properly

This patch was writtern for xpdf v2.0.

The patch basically makes xpdf ICCCM compliant. 

It will probably apply to the earlier versions as well.

Comment 2 Ngo Than 2003-02-05 11:52:16 UTC
rebuild xpdf with your patch. It does not work with openoffice!

Comment 3 ezolt 2003-02-05 13:53:50 UTC
What version of openoffice and version of xpdf did you use?   I just looked at xpdf v1.0, and it is radically different.   Last night, on a clean Redhat 8.0 machine, I downloaded xpdf-2.01, applied the patch from this page.    This is what worked: 1) Hightlight text in the xpdf 2) Center click in OpenOffice  NOTE: I center clicked, rather than cut and paste.  Also, make sure that xpdf really owns the selection.  If you highlight something else xpdf will NOT erase its own highlight. (Unlike Xterm)  Also, I've find that some pdfs don't allow cut and paste. (I think that this is a security issue)  Try the following: 1) Highlight something in xpdf. 2) Center click in an xterm. (if text appears, it is a good pdf) 3) Center click in openoffice.   If things don't work, I will fix this.... Just give me more details.  

Comment 4 Ngo Than 2003-04-01 08:37:51 UTC
it looks like that the fix is already in new upstream 2.02.